# Interface EnvironmentInfo

interface EnvironmentInfo {
Arch: string;
Debug: boolean;
OS: string;
OSInfo: OSInfo;
PlatformInfo: Object;
}

- Defined in system.js:55

#####
Index

### Properties

Arch
Debug
OS
OSInfo
PlatformInfo

## Properties

### Arch

Arch: string

The architecture of the system.

- Defined in system.js:56

### Debug

Debug: boolean

True if the application is running in debug mode, otherwise false.

- Defined in system.js:57

### OS

OS: string

The operating system in use.

- Defined in system.js:58

### OSInfo

OSInfo: OSInfo

Details of the operating system.

- Defined in system.js:59

### PlatformInfo

PlatformInfo: Object

Additional platform information.

- Defined in system.js:60

Generated using TypeDoc